LINUX.ORG.RU

Repo centOS 6.7 от яндекса

 , ,


0

2

Cтавил когда-то minimal centOS 6.7 с зеркала яндекса. Через некоторое время они прибили его и теперь я не могу пользоваться yum update, так как их репо больше нет. В самом ридми у них написано что для нормальных людей сойдет и 6 ветка, но после того как я меняю ее и пробую сделать апдейт, начинают подтягиваться тонны пакетов с гномом и т.п.

Где у них лежит minimal repo? Или можно подключить repo из 6.8?

http://mirror.yandex.ru/centos/6.7

http://mirror.yandex.ru/centos/6/os/x86_64

в данный момент base выглядит так:

baseurl=http://mirror.yandex.ru/centos/6/os/x86_64/

gpgkey=http://mirror.yandex.ru/centos/6/os/x86_64/RPM-GPG-KEY-CentOS-6


Не знаю, что там именно было на зеркале яндекса, но minimal это просто набор пакетов, а не ветка дистрибутива. А ветка одна — шестая. Поэтому подключать репозиторий от centos 6 и обновлять до 6.8.

Откуда берётся куча пакетов нужно разбираться отдельно. По идее, можно командой check-update можно получить список обновляемых пакетов, обновлять пакеты по одному и смотреть, когда вылезет куча ненужных.

mky ★★★★★ ()
Ответ на: комментарий от mky

check-update показывает пакеты из ветки base, все остальные репы я отключил, среди кучи пакетов присутствуют даже pulseaudio.x86_64 gnome-themes.noarch libstdc++.x86_64. Это все явно не из minimal пакета.

nabbe ()

Где у них лежит minimal repo?

yum update-minimal

P.S. man yum

arson ★★★★★ ()
Последнее исправление: arson (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.